<?php

/**
* Constantes d'accès à la base de données
**/
// Adresse du serveur de base de données
define('DB_SERVEUR', 'localhost');
// Login
define('DB_LOGIN','root');
// Mot de passe
define('DB_PASSWORD','root');
// Nom de la base de données
define('DB_NOM','NomDeLaBase');
// Driver correspondant à la BDD utilisée
define('DB_DSN','mysql:host='. DB_SERVEUR .';dbname='. DB_NOM);

// Import de la classe Glossaire
require(dirname(__FILE__).'/Glossaire.class.php');

// Déclaration des variables
$oPDO = null;
$oGlossaire = null;
$sTexte = 'Cette chaine contient du <a href="" title="Le langage HTML">langage HTML</a> et des feuilles de styles CSS. <strong>PHP</strong> et Ajax rendent cette page plus dynamique.';

try {
	
	// Connexion sur la base de données
	$oPDO = new PDO(DB_DSN, DB_LOGIN, DB_PASSWORD);
	
	// Instanciation de l'objet Glossaire
	$oGlossaire = new Glossaire();
	
	// Récupération des mots du glossaire
	foreach($oPDO->query('SELECT sigle, definition, tag FROM glossaire') as $aRow) 
	{
		$oGlossaire->setWord($aRow['sigle'], $aRow['definition'], $aRow['tag']);	
	}
	
	// Transformation de la chaine HTML
	echo $oGlossaire->parseString($sTexte);
	
} catch(PDOException $e) {
	exit('Une erreur interne s\'est produite !');
}

?>